begin
    dbms_xmlschema.registerschema(
             'http://localhost:8080/home/demoxml/myBooks.xsd',
             '<?xml version="1.0" encoding="UTF-8"?>
		<xsd:schema xmlns:xsd="http://www.w3.org/2001/XMLSchema" 
              elementFormDefault="qualified">
  		<xsd:element name="myBooks">
		<xsd:complexType>
		<xsd:sequence>
			<xsd:element ref="book" 
			     maxOccurs="unbounded"/>
		</xsd:sequence>
	</xsd:complexType>
	  </xsd:element>
	  <xsd:element name="book">
	<xsd:complexType>
		<xsd:sequence>
		<xsd:element name="name" type="xsd:string" />
		<xsd:element name="author"  type="xsd:string" 
		       maxOccurs="unbounded" />
		<xsd:element name="publisher" type="xsd:string" />
		<xsd:element name="isbn"  type="xsd:string" 
		       minOccurs="0"/>
		</xsd:sequence>
	</xsd:complexType>
  </xsd:element>
</xsd:schema>'
	,true,true,false,false);
end;
/
