CREATE OR REPLACE FUNCTION getAllEmpsXQ
RETURN clob
IS
	mySql VARCHAR2(500);
	mySqlCtx DBMS_XMLQuery.ctxType;
	returnXML CLOB;
BEGIN
 	mySql := 'select ename,job,empno empid,sal,deptno '
       		|| ' from emp '
       		|| ' order by ename,empno ';

	mySqlCtx := DBMS_XMLQuery.newContext(mySql);
	dbms_xmlquery.setRowIdAttrName(mySqlCtx,null);
	dbms_xmlquery.setRowsetTag(mySqlCtx,'personnelData');
	dbms_xmlquery.setRowTag(mySqlCtx,'employee');
	returnXML := DBMS_XMLQuery.getXML(mySqlCtx);
	DBMS_XMLQuery.closeContext(mySqlCtx);
	RETURN returnXML;
END;
/
select getAllEmpsXQ from dual;